Loading...
Searching...
No Matches
mdds::mtv::trace_method_properties_t Struct Reference

`#include <types.hpp>`

## Public Attributes

trace_method_t | type = trace_method_t::unspecified
const void * | instance = nullptr
const char * | function_name = nullptr
std::string | function_args
const char * | filepath = nullptr
int | line_number = -1

## Detailed Description

Struct containing the information about each traced method.

## Member Data Documentation

## filepath

const char* mdds::mtv::trace_method_properties_t::filepath = nullptr

Path of the file where the method body is.

## function_args

std::string mdds::mtv::trace_method_properties_t::function_args

String containing the argument names as well as their values if available.

## function_name

const char* mdds::mtv::trace_method_properties_t::function_name = nullptr

Name of the method.

## instance

const void* mdds::mtv::trace_method_properties_t::instance = nullptr

Memory address of the container instance the traced method belongs to. This is essentially the `this` pointer inside the traced method.

## line_number

int mdds::mtv::trace_method_properties_t::line_number = -1

Line number of the first line of the traced method body.